=== debian/changelog ===
ros-iron-joint-trajectory-controller (3.15.0-1jammy) jammy; urgency=high

  * [JTC] Make most parameters read-only (#771 <https://github.com/ros-controls/ros2_controllers/issues/771>)
  * Contributors: Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 10 Sep 2023 23:00:00 -0000

ros-iron-joint-trajectory-controller (3.14.0-1jammy) jammy; urgency=high

  * [JTC] Tolerance tests + Hold on time violation (#613 <https://github.com/ros-controls/ros2_controllers/issues/613>)
    * Add new test to ensure that controller goes into position holding when tolerances are violated
    * Hold position if goal_time is exceeded with topic interface
    * Fix hold on time-violation
  * [JTC] Fix typos, implicit cast, const member functions (#748 <https://github.com/ros-controls/ros2_controllers/issues/748>)
  * Remove wrong description (#742 <https://github.com/ros-controls/ros2_controllers/issues/742>)
  * [JTC] Explicitly set hold position (#558 <https://github.com/ros-controls/ros2_controllers/issues/558>)
  * Contributors: Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 15 Aug 2023 23:00:00 -0000

ros-iron-joint-trajectory-controller (3.13.0-1jammy) jammy; urgency=high

  * Small improvement in remapping (#393 <https://github.com/ros-controls/ros2_controllers/issues/393>)
  * [JTC] Update trajectory documentation (#714 <https://github.com/ros-controls/ros2_controllers/issues/714>)
  * [JTC] Reject messages with effort fields (#699 <https://github.com/ros-controls/ros2_controllers/issues/699>) (#719 <https://github.com/ros-controls/ros2_controllers/issues/719>)
  * [Doc] Fix links (#715 <https://github.com/ros-controls/ros2_controllers/issues/715>)
  * Contributors: Andy Zelenak, Bence Magyar, Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 03 Aug 2023 23:00:00 -0000

ros-iron-joint-trajectory-controller (3.12.0-1jammy) jammy; urgency=high

  * Remove reactivation test from ROS 1
  * Don't test update after cleanup
  * Fix namespace for parameter traits(#703 <https://github.com/ros-controls/ros2_controllers/issues/703>)
  * Fixed update period computation in test (#693 <https://github.com/ros-controls/ros2_controllers/issues/693>)
  * [JTC] Reject trajectories with nonzero terminal velocity (#567 <https://github.com/ros-controls/ros2_controllers/issues/567>)
  * Compute velocity errors when using an effort command interface (#679 <https://github.com/ros-controls/ros2_controllers/issues/679>)
  * Add test for velocity error with effort cmd interface (#690 <https://github.com/ros-controls/ros2_controllers/issues/690>)
  * Revert "[JTC] Command final waypoint identically when traj_point_active_ptr_ is nullptr (#682 <https://github.com/ros-controls/ros2_controllers/issues/682>)"
  * [JTC] Fix time sources and wrong checks in tests (#686 <https://github.com/ros-controls/ros2_controllers/issues/686>)
  * Increase action tests timeout (#680 <https://github.com/ros-controls/ros2_controllers/issues/680>)
  * [JTC] Extend tests (#612 <https://github.com/ros-controls/ros2_controllers/issues/612>)
  * [JTC] Command final waypoint identically when traj_point_active_ptr_ is nullptr (#682 <https://github.com/ros-controls/ros2_controllers/issues/682>)
  * Contributors: Christoph Fröhlich, Ethan Gordon, Lars Tingelstad, gwalck, Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 17 Jul 2023 23:00:00 -0000

ros-iron-joint-trajectory-controller (3.11.0-1jammy) jammy; urgency=high

  * jtc: fix minor typo in traj validation error msg (#674 <https://github.com/ros-controls/ros2_controllers/issues/674>)
  * Added -Wconversion flag and fix warnings (#667 <https://github.com/ros-controls/ros2_controllers/issues/667>)
  * Contributors: G.A. vd. Hoorn, gwalck

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 23 Jun 2023 23:00:00 -0000

ros-iron-joint-trajectory-controller (3.10.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 05 Jun 2023 23:00:00 -0000

ros-iron-joint-trajectory-controller (3.10.0-1jammy) jammy; urgency=high

  * enable ReflowComments to also use ColumnLimit on comments (#625 <https://github.com/ros-controls/ros2_controllers/issues/625>)
  * Contributors: Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 03 Jun 2023 23:00:00 -0000

ros-iron-joint-trajectory-controller (3.9.0-1jammy) jammy; urgency=high

  * Use branch name substitution for all links (#618 <https://github.com/ros-controls/ros2_controllers/issues/618>)
  * [JTC] Fix deprecated header (#610 <https://github.com/ros-controls/ros2_controllers/issues/610>)
  * Fix github links on control.ros.org (#604 <https://github.com/ros-controls/ros2_controllers/issues/604>)
  * Contributors: Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 27 May 2023 23:00:00 -0000

ros-iron-joint-trajectory-controller (3.8.0-1jammy) jammy; urgency=high

  * [JTC] Import docs from wiki.ros.org (#566 <https://github.com/ros-controls/ros2_controllers/issues/566>)
  * Contributors: Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 13 May 2023 23:00:00 -0000

ros-iron-joint-trajectory-controller (3.7.0-1jammy) jammy; urgency=high

  * Fix JTC from immediately returning success (#565 <https://github.com/ros-controls/ros2_controllers/issues/565>)
  * Contributors: Marq Rasmussen

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 01 May 2023 23:00:00 -0000

ros-iron-joint-trajectory-controller (3.6.0-1jammy) jammy; urgency=high

  * Renovate load controller tests (#569 <https://github.com/ros-controls/ros2_controllers/issues/569>)
  * Fix docs format (#589 <https://github.com/ros-controls/ros2_controllers/issues/589>)
  * [JTC] Implement new ~/controller_state message (#557 <https://github.com/ros-controls/ros2_controllers/issues/557>)
  * Contributors: Bence Magyar, Christoph Fröhlich


