=== debian/control ===
Source: ros-iron-joint-trajectory-controller
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ament-cmake-gmock <!nocheck>, ros-iron-angles, ros-iron-backward-ros, ros-iron-control-msgs, ros-iron-control-toolbox, ros-iron-controller-interface, ros-iron-controller-manager <!nocheck>, ros-iron-generate-parameter-library, ros-iron-hardware-interface, ros-iron-pluginlib, ros-iron-rclcpp, ros-iron-rclcpp-lifecycle, ros-iron-realtime-tools, ros-iron-ros2-control-test-assets <!nocheck>, ros-iron-rsl, ros-iron-tl-expected, ros-iron-trajectory-msgs, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-joint-trajectory-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-angles, ros-iron-backward-ros, ros-iron-control-msgs, ros-iron-control-toolbox, ros-iron-controller-interface, ros-iron-generate-parameter-library, ros-iron-hardware-interface, ros-iron-pluginlib, ros-iron-rclcpp, ros-iron-rclcpp-lifecycle, ros-iron-realtime-tools, ros-iron-rsl, ros-iron-tl-expected, ros-iron-trajectory-msgs, ros-iron-ros-workspace
Description: Controller for executing joint-space trajectories on a group of joints
